• <fieldset id="8imwq"><menu id="8imwq"></menu></fieldset>
  • <bdo id="8imwq"><input id="8imwq"></input></bdo>
    最新文章專題視頻專題問答1問答10問答100問答1000問答2000關鍵字專題1關鍵字專題50關鍵字專題500關鍵字專題1500TAG最新視頻文章推薦1 推薦3 推薦5 推薦7 推薦9 推薦11 推薦13 推薦15 推薦17 推薦19 推薦21 推薦23 推薦25 推薦27 推薦29 推薦31 推薦33 推薦35 推薦37視頻文章20視頻文章30視頻文章40視頻文章50視頻文章60 視頻文章70視頻文章80視頻文章90視頻文章100視頻文章120視頻文章140 視頻2關鍵字專題關鍵字專題tag2tag3文章專題文章專題2文章索引1文章索引2文章索引3文章索引4文章索引5123456789101112131415文章專題3
    問答文章1 問答文章501 問答文章1001 問答文章1501 問答文章2001 問答文章2501 問答文章3001 問答文章3501 問答文章4001 問答文章4501 問答文章5001 問答文章5501 問答文章6001 問答文章6501 問答文章7001 問答文章7501 問答文章8001 問答文章8501 問答文章9001 問答文章9501
    當前位置: 首頁 - 科技 - 知識百科 - 正文

    CodeforcesRound#272(Div.2)題解_html/css

    來源:懂視網 責編:小采 時間:2020-11-27 15:56:32
    文檔

    CodeforcesRound#272(Div.2)題解_html/css

    CodeforcesRound#272(Div.2)題解_html/css_WEB-ITnose:Codeforces Round #272 (Div. 2) A. Dreamoon and Stairs time limit per test 1 second memory limit per test 256 megabytes input standard input output standard output Dreamoon wants to climb up a stair of n steps. H
    推薦度:
    導讀CodeforcesRound#272(Div.2)題解_html/css_WEB-ITnose:Codeforces Round #272 (Div. 2) A. Dreamoon and Stairs time limit per test 1 second memory limit per test 256 megabytes input standard input output standard output Dreamoon wants to climb up a stair of n steps. H

    Codeforces Round #272 (Div. 2)

    A. Dreamoon and Stairs

    time limit per test

    1 second

    memory limit per test

    256 megabytes

    input

    standard input

    output

    standard output

    Dreamoon wants to climb up a stair of n steps. He can climb 1 or 2 steps at each move. Dreamoon wants the number of moves to be a multiple of an integer m.

    What is the minimal number of moves making him climb to the top of the stairs that satisfies his condition?

    Input

    The single line contains two space separated integers n, m (0?

    Output

    Print a single integer ? the minimal number of moves being a multiple of m. If there is no way he can climb satisfying condition print ?-?1 instead.

    Sample test(s)

    input

    10 2

    output

    input

    3 5

    output

    -1

    Note

    For the first sample, Dreamoon could climb in 6 moves with following sequence of steps: {2, 2, 2, 2, 1, 1}.

    For the second sample, there are only three valid sequence of steps {2, 1}, {1, 2}, {1, 1, 1} with 2, 2, and 3 steps respectively. All these numbers are not multiples of 5.


    簡單題:暴力枚舉

    import java.util.*;public class CF467A{ public static void main(String[] args){ Scanner in = new Scanner(System.in); int n=in.nextInt(),m=in.nextInt(); int low=n/2; int high=n; if(n%2==1) low++; int ans=-1; for(int i=low;i<=high;i++){ if(i%m==0){ ans=i; break; } } System.out.println(ans); }}


    B. Dreamoon and WiFi

    time limit per test

    1 second

    memory limit per test

    256 megabytes

    input

    standard input

    output

    standard output

    Dreamoon is standing at the position 0 on a number line. Drazil is sending a list of commands through Wi-Fi to Dreamoon's smartphone and Dreamoon follows them.

    Each command is one of the following two types:

    1. Go 1 unit towards the positive direction, denoted as '+'
    2. Go 1 unit towards the negative direction, denoted as '-'

    But the Wi-Fi condition is so poor that Dreamoon's smartphone reports some of the commands can't be recognized and Dreamoon knows that some of them might even be wrong though successfully recognized. Dreamoon decides to follow every recognized command and toss a fair coin to decide those unrecognized ones (that means, he moves to the 1 unit to the negative or positive direction with the same probability 0.5).

    You are given an original list of commands sent by Drazil and list received by Dreamoon. What is the probability that Dreamoon ends in the position originally supposed to be final by Drazil's commands?

    Input

    The first line contains a string s1 ? the commands Drazil sends to Dreamoon, this string consists of only the characters in the set {'+', '-'}.

    The second line contains a string s2 ? the commands Dreamoon's smartphone recognizes, this string consists of only the characters in the set {'+','-', '?'}. '?' denotes an unrecognized command.

    Lengths of two strings are equal and do not exceed 10.

    Output

    Output a single real number corresponding to the probability. The answer will be considered correct if its relative or absolute error doesn't exceed 10?-?9.

    Sample test(s)

    input

    ++-+-+-+-+

    output

    1.000000000000

    input

    +-+-+-??

    output

    0.500000000000

    input

    +++??-

    output

    0.000000000000

    Note

    For the first sample, both s1 and s2 will lead Dreamoon to finish at the same position ?+?1.

    For the second sample, s1 will lead Dreamoon to finish at position 0, while there are four possibilites for s2: {"+-++", "+-+-", "+--+", "+---"} with ending position {+2, 0, 0, -2} respectively. So there are 2 correct cases out of 4, so the probability of finishing at the correct position is 0.5.

    For the third sample, s2 could only lead us to finish at positions {+1, -1, -3}, so the probability to finish at the correct position ?+?3 is 0.

    簡單題:

    /** * Created by ckboss on 14-10-16. */import java.util.*;public class CF476B { static double Calu(int deta,int c){ double ret=1; for(int i=c;i>=c-deta+1;i--){ ret=ret*i; } for(int i=1;i<=deta;i++){ ret=ret/i; } for(int i=1;i<=c;i++){ ret=ret*0.5; } return ret; } public static void main(String[] args){ Scanner in = new Scanner(System.in); String cmd1=in.next(); String cmd2=in.next(); int a1=0,b1=0,a2=0,b2=0,c=0; for(int i=0,sz=cmd1.length();i


    C. Dreamoon and Sums

    time limit per test

    1.5 seconds

    memory limit per test

    256 megabytes

    input

    standard input

    output

    standard output

    Dreamoon loves summing up something for no reason. One day he obtains two integers a and b occasionally. He wants to calculate the sum of all niceintegers. Positive integer x is called nice if and , where k is some integer number in range [1,?a].

    By we denote the quotient of integer division of x and y. By we denote the remainder of integer division of x and y. You can read more about these operations here: http://goo.gl/AcsXhT.

    The answer may be large, so please print its remainder modulo 1?000?000?007 (109?+?7). Can you compute it faster than Dreamoon?

    Input

    The single line of the input contains two integers a, b (1?≤?a,?b?≤?107).

    Output

    Print a single integer representing the answer modulo 1?000?000?007 (109?+?7).

    Sample test(s)

    input

    1 1

    output

    input

    2 2

    output

    Note

    For the first sample, there are no nice integers because is always zero.

    For the second sample, the set of nice integers is {3,?5}.

    化簡一下式子。。

    #include #include #include #include using namespace std;typedef long long int LL;const LL MOD=1000000007LL;LL a,b;LL bl(){ LL ret=0; LL bbb=(b*(b-1)/2)%MOD; for(int i=1;i<=a;i++) ret=(ret+((i*bbb)%MOD*b)%MOD+bbb)%MOD; return ret;}int main(){ cin>>a>>b; cout<


    D. Dreamoon and Sets

    time limit per test

    1 second

    memory limit per test

    256 megabytes

    input

    standard input

    output

    standard output

    Dreamoon likes to play with sets, integers and . is defined as the largest positive integer that divides both a and b.

    Let S be a set of exactly four distinct integers greater than 0. Define S to be of rank k if and only if for all pairs of distinct elements si, sj from S, .

    Given k and n, Dreamoon wants to make up n sets of rank k using integers from 1 to m such that no integer is used in two different sets (of course you can leave some integers without use). Calculate the minimum m that makes it possible and print one possible solution.

    Input

    The single line of the input contains two space separated integers n, k (1?≤?n?≤?10?000,?1?≤?k?≤?100).

    Output

    On the first line print a single integer ? the minimal possible m.

    On each of the next n lines print four space separated integers representing the i-th set.

    Neither the order of the sets nor the order of integers within a set is important. If there are multiple possible solutions with minimal m, print any one of them.

    Sample test(s)

    input

    1 1

    output

    51 2 3 5

    input

    2 2

    output

    222 4 6 2214 18 10 16

    Note

    For the first example it's easy to see that set {1,?2,?3,?4} isn't a valid set of rank 1 since .

    規律,6×i+1 , 6×i+2 , 6×i+3 , 6×i+5

    #include #include #include #include using namespace std;int n,k;int main(){ scanf("%d%d",&n,&k); printf("%d\n",(6*(n-1)+5)*k); for(int i=0;i


    E. Dreamoon and Strings

    time limit per test

    1 second

    memory limit per test

    256 megabytes

    input

    standard input

    output

    standard output

    Dreamoon has a string s and a pattern string p. He first removes exactly x characters from s obtaining string s' as a result. Then he calculates that is defined as the maximal number of non-overlapping substrings equal to p that can be found in s'. He wants to make this number as big as possible.

    More formally, let's define as maximum value of over all s' that can be obtained by removing exactly x characters from s. Dreamoon wants to know for all x from 0 to |s| where |s| denotes the length of string s.

    Input

    The first line of the input contains the string s (1?≤?|s|?≤?2?000).

    The second line of the input contains the string p (1?≤?|p|?≤?500).

    Both strings will only consist of lower case English letters.

    Output

    Print |s|?+?1 space-separated integers in a single line representing the for all x from 0 to |s|.

    Sample test(s)

    input

    aaaaaaa

    output

    2 2 1 1 0 0

    input

    axbaxxbab

    output

    0 1 1 2 1 1 0 0

    Note

    For the first sample, the corresponding optimal values of s' after removal 0 through |s|?=?5 characters from s are {"aaaaa", "aaaa", "aaa", "aa","a", ""}.

    For the second sample, possible corresponding optimal values of s' are {"axbaxxb", "abaxxb", "axbab", "abab", "aba", "ab", "a", ""}.


    DP

    DP[i][j]再第一個串中前i個字符里刪j個能得到的最大匹配數

    cal(i)從第一個串第i個字符往前刪至少刪幾個可以和第二個串匹配


    dp[i][j]=max( dp[i-1][j],dp[i-cal(i)-len2][j-cal(i)] );


    #include #include #include #include using namespace std;const int INF=0x3f3f3f3f;char s[2200],p[550];int dp[2200][2200],len1,len2;int cal(int x){ if(x=0) dp[i][j]=max(dp[i][j],dp[i-x-len2][j-x]+1); } } for(int i=0;i<=len1;i++) printf("%d ",dp[len1][i]); putchar(10); return 0;}

    聲明:本網頁內容旨在傳播知識,若有侵權等問題請及時與本網聯系,我們將在第一時間刪除處理。TEL:177 7030 7066 E-MAIL:11247931@qq.com

    文檔

    CodeforcesRound#272(Div.2)題解_html/css

    CodeforcesRound#272(Div.2)題解_html/css_WEB-ITnose:Codeforces Round #272 (Div. 2) A. Dreamoon and Stairs time limit per test 1 second memory limit per test 256 megabytes input standard input output standard output Dreamoon wants to climb up a stair of n steps. H
    推薦度:
    標簽: () div round
    • 熱門焦點

    最新推薦

    猜你喜歡

    熱門推薦

    專題
    Top
    主站蜘蛛池模板: 久久亚洲美女精品国产精品| 99久久99久久久精品齐齐| 无码精品A∨在线观看| 91久久精品视频| 久久99热只有频精品8| 国内精品久久久久久中文字幕 | 久久久精品日本一区二区三区| 国产精品1区2区| 日产精品久久久久久久性色| 久久精品成人免费观看97| 欧美精品免费在线| 丰满人妻熟妇乱又仑精品| 亚洲av无码精品网站| 久久亚洲精品无码观看不卡| 99久久精品免费| 国产精品亚洲精品| 精品人人妻人人澡人人爽人人 | 狠狠精品久久久无码中文字幕 | 久久精品国内一区二区三区 | 91久久精品视频| 国产玖玖玖九九精品视频| 亚洲国产精品人人做人人爱| 99久免费精品视频在线观看| 国内精品伊人久久久久| 国产精品久久久久影院嫩草 | 欧美成人精品欧美一级乱黄一区二区精品在线 | 国产精品亚洲αv天堂无码| 亚洲第一精品福利| 久久精品一区二区| 久久久91精品国产一区二区三区 | 无码国内精品久久人妻蜜桃| 亚洲中文字幕无码久久精品1| 亚洲精品成人网久久久久久| 亚洲AV无码成人精品区狼人影院| 日产国产精品亚洲系列| 欧美日韩国产成人高清视频,欧美日韩在线精品一 | 国产在线观看高清精品| 精品水蜜桃久久久久久久| 久久精品国产精品亜洲毛片| 精品精品国产欧美在线小说区| 久久精品三级视频|